<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastraFase.title']}" />
	</ui:define>
	
	<ui:define name="principal">
		<p:link outcome="mostraCategoria.xhtml" value="#{msg['pages.mostraCategoria.back']}"/>
		<h1><p:outputLabel value="#{msg['pages.cadastraFase.title']}"/></h1>
		<h:form id="formFase">
			<p:panelGrid columns="1">
				
				<p:outputLabel value="#{msg['pages.cadastraFase.dataInicio']}:">
					<p:calendar id="button1" value="#{faseManagedBeans.fase.dataInicio}" showOn="button" />
				</p:outputLabel>
				
				<p:outputLabel value="#{msg['pages.cadastraFase.dataFim']}:">
					<p:calendar id="button2" value="#{faseManagedBeans.fase.dataFim}" showOn="button" />
				</p:outputLabel>
				
				<p:outputLabel for="formato" value="#{msg['pages.cadastraFase.formato']}:"/>
				<p:selectOneMenu id="formato" required="true" 
				value="#{faseManagedBeans.fase.formato}">
                	<f:selectItems value="#{faseManagedBeans.formatoFase}"
                	var="fase" itemLabel="#{fase.descricao}" itemValue="#{fase}"/>
            	</p:selectOneMenu>	
						
				<p:outputLabel value="#{msg['pages.cadastraFase.categoria']}:"/>
				<p:outputLabel value="#{faseManagedBeans.categoriaSelecionada.nome}"/>
				
				<p:commandButton value="#{msg['pages.cadastraFase.btnSalvar']}"
						 action="#{faseManagedBeans.salvar}"
						 update="formFase"/>
				
			</p:panelGrid>
		</h:form>
	</ui:define>

</ui:composition>